package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag198;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT198Creator;

public class Tag12Creator extends AbsTagCreate {
    private MT198Creator mt198Creator;

    public Tag12Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt198Creator= (MT198Creator) absMTCreator;
    }

    public void creator()
    {
        String tag12Value = mt198Creator.getSubMessageType();
        mt198Creator.set("12", tag12Value);
    }
}
